## ibus-pinyin 1.3.11-1

=== data/db/android/Makefile ===
# Makefile.in generated by automake 1.10.1 from Makefile.am.
# data/db/android/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# vim:set noet ts=4:
#
# ibus-pinyin - The Chinese PinYin engine for IBus
#
# Copyright (c) 2008-2010 Peng Huang <shawn.p.huang@gmail.com>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.


pkgdatadir = $(datadir)/ibus-pinyin
pkglibdir = $(libdir)/ibus-pinyin
pkgincludedir = $(includedir)/ibus-pinyin
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i486-pc-linux-gnu
host_triplet = i486-pc-linux-gnu
subdir = data/db/android
DIST_COMMON = README $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/as-version.m4 \
	$(top_srcdir)/m4/boost.m4 $(top_srcdir)/m4/intltool.m4 \
	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
	$(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
SOURCES =
DIST_SOURCES =
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = `echo $$p | sed -e 's|^.*/||'`;
am__installdirs = "$(DESTDIR)$(main_dbdir)"
main_dbDATA_INSTALL = $(INSTALL_DATA)
DATA = $(main_db_DATA)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = aclocal-1.10
ALL_LINGUAS = 
AMTAR = ${SHELL} /home/cm/ibus-pinyin/ibus-pinyin-1.3.11/missing --run tar
AR = i486-linux-gnu-ar
AUTOCONF = ${SHELL} /home/cm/ibus-pinyin/ibus-pinyin-1.3.11/missing --run autoconf
AUTOHEADER = ${SHELL} /home/cm/ibus-pinyin/ibus-pinyin-1.3.11/missing --run autoheader
AUTOMAKE = automake-1.10
AWK = gawk
BOOST_CPPFLAGS = 
BOOST_ROOT = 
CATALOGS = 
CATOBJEXT = .gmo
CC = i486-linux-gnu-gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -Wall -g -O2
CPP = i486-linux-gnu-gcc -E
CPPFLAGS = 
CXX = i486-linux-gnu-g++
CXXCPP = i486-linux-gnu-g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DATADIRNAME = share
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DISTCHECK_CONFIGURE_FLAGS =  '--with-boost='
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /scratchbox/tools/bin/grep -E
ENV = /scratchbox/tools/bin/env
EXEEXT = 
FGREP = /scratchbox/tools/bin/grep -F
GETTEXT_PACKAGE = ibus-pinyin
GMOFILES = 
GMSGFMT = /scratchbox/tools/bin/msgfmt
GREP = /scratchbox/tools/bin/grep
IBUS_CFLAGS = -I/usr/include/ibus-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
IBUS_LIBS = -libus -lgobject-2.0 -lglib-2.0  
INSTALL = /scratchbox/tools/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
INSTOBJEXT = .mo
INTLLIBS = 
INTLTOOL_EXTRACT = /scratchbox/devkits/doctools/bin/intltool-extract
INTLTOOL_MERGE = /scratchbox/devkits/doctools/bin/intltool-merge
INTLTOOL_PERL = /scratchbox/tools/bin/perl
INTLTOOL_UPDATE = /scratchbox/devkits/doctools/bin/intltool-update
LD = /scratchbox/compilers/cs2007q3-glibc2.5-i486/i486-pc-linux-gnu/bin/ld
LDFLAGS = -Wl,-z,defs
LIBOBJS = 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIBUUID_CFLAGS = -I/usr/include/uuid  
LIBUUID_LIBS = -luuid  
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
LUA_CFLAGS = 
LUA_LIBS = 
MAINT = #
MAKEINFO = ${SHELL} /home/cm/ibus-pinyin/ibus-pinyin-1.3.11/missing --run makeinfo
MKDIR_P = /scratchbox/tools/bin/mkdir -p
MKINSTALLDIRS = ./mkinstalldirs
MSGFMT = /scratchbox/tools/bin/msgfmt
MSGFMT_OPTS = -c
MSGMERGE = /scratchbox/tools/bin/msgmerge
NM = /scratchbox/compilers/bin/nm -B
NMEDIT = 
OBJDUMP = i486-linux-gnu-objdump
OBJEXT = o
OPENCC_CFLAGS = 
OPENCC_LIBS = 
OTOOL = 
OTOOL64 = 
PACKAGE = ibus-pinyin
PACKAGE_BUGREPORT = http://code.google.com/p/ibus/issues/entry
PACKAGE_NAME = ibus-pinyin
PACKAGE_STRING = ibus-pinyin 1.3.11
PACKAGE_TARNAME = ibus-pinyin
PACKAGE_VERSION = 1.3.11
PACKAGE_VERSION_MAJOR = 1
PACKAGE_VERSION_MICRO = 11
PACKAGE_VERSION_MINOR = 3
PACKAGE_VERSION_NANO = 0
PACKAGE_VERSION_RELEASE = 1
PATH_SEPARATOR = :
PKG_CONFIG = /scratchbox/tools/bin/pkg-config
POFILES = 
POSUB = po
PO_IN_DATADIR_FALSE = 
PO_IN_DATADIR_TRUE = 
PYTHON = /usr/bin/python2.5
PYTHON_EXEC_PREFIX = ${exec_prefix}
PYTHON_PLATFORM = linux2
PYTHON_PREFIX = ${prefix}
PYTHON_VERSION = 2.5
RANLIB = i486-linux-gnu-ranlib
SED = /scratchbox/tools/bin/sed
SET_MAKE = 
SHELL = /bin/sh
SQLITE3 = /usr/bin/sqlite3
SQLITE_CFLAGS =  
SQLITE_LIBS = -lsqlite3  
STRIP = i486-linux-gnu-strip
USE_NLS = yes
VERSION = 1.3.11
XGETTEXT = /scratchbox/tools/bin/xgettext
abs_builddir = /home/cm/ibus-pinyin/ibus-pinyin-1.3.11/data/db/android
abs_srcdir = /home/cm/ibus-pinyin/ibus-pinyin-1.3.11/data/db/android
abs_top_builddir = /home/cm/ibus-pinyin/ibus-pinyin-1.3.11
abs_top_srcdir = /home/cm/ibus-pinyin/ibus-pinyin-1.3.11
ac_ct_CC = 
ac_ct_CXX = 
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = i486-pc-linux-gnu
build_alias = i486-linux-gnu
build_cpu = i486
build_os = linux-gnu
build_vendor = pc
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = i486-pc-linux-gnu
host_alias = i486-linux-gnu
host_cpu = i486
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${prefix}/share/info
install_sh = $(SHELL) /home/cm/ibus-pinyin/ibus-pinyin-1.3.11/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
lt_ECHO = echo
mandir = ${prefix}/share/man
mkdir_p = /scratchbox/tools/bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
pkgpyexecdir = ${pyexecdir}/ibus-pinyin
pkgpythondir = ${pythondir}/ibus-pinyin
prefix = /usr
program_transform_name = s,x,x,
psdir = ${docdir}
pyexecdir = ${exec_prefix}/lib/python2.5/site-packages
pythondir = ${prefix}/lib/python2.5/site-packages
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_builddir = ../../..
top_srcdir = ../../..
create_scripts = \
	create_db.py \
	id.py \
	pydict.py \
	valid_hanzi.py \
	$(NULL)

data_files = \
	README \
	rawdict_utf16_65105_freq.txt \
	$(NULL)

main_db_DATA = \
	android.db \
	$(NULL)

main_dbdir = $(pkgdatadir)/db
EXTRA_DIST = \
	android.db \
	$(data_files) \
	$(create_scripts) \
	$(NULL)

CLEANFILES = \
	$(NULL)

DISTCLEANFILES = \
	$(NULL)

all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in: # $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  data/db/android/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  data/db/android/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure: # $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4): # $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs
install-main_dbDATA: $(main_db_DATA)
	@$(NORMAL_INSTALL)
	test -z "$(main_dbdir)" || $(MKDIR_P) "$(DESTDIR)$(main_dbdir)"
	@list='$(main_db_DATA)'; for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  f=$(am__strip_dir) \
	  echo " $(main_dbDATA_INSTALL) '$$d$$p' '$(DESTDIR)$(main_dbdir)/$$f'"; \
	  $(main_dbDATA_INSTALL) "$$d$$p" "$(DESTDIR)$(main_dbdir)/$$f"; \
	done

uninstall-main_dbDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(main_db_DATA)'; for p in $$list; do \
	  f=$(am__strip_dir) \
	  echo " rm -f '$(DESTDIR)$(main_dbdir)/$$f'"; \
	  rm -f "$(DESTDIR)$(main_dbdir)/$$f"; \
	done
tags: TAGS
TAGS:

ctags: CTAGS
CTAGS:


distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile $(DATA)
installdirs:
	for dir in "$(DESTDIR)$(main_dbdir)"; do \
	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
	done
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:
	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)

## ibus-pinyin 1.3.8

=== debian/changelog ===
ibus-pinyin (1.3.8-1) unstable; urgency=low

  [ Asias He ]
  * New upstream release.
  * debian/control:
    - add Asias He <asias.hejun@gmail.com> to Uploaders.

 -- LI Daobing <lidaobing@debian.org>  Sun, 30 May 2010 11:05:32 +0800

ibus-pinyin (1.3.6-1) unstable; urgency=low

  * New upstream release.
  * debian/watch: updated. 

 -- LI Daobing <lidaobing@debian.org>  Fri, 21 May 2010 21:31:57 +0800

ibus-pinyin (1.3.5-1) unstable; urgency=low

  * New upstream release.

 -- LI Daobing <lidaobing@debian.org>  Tue, 04 May 2010 20:57:41 +0800

ibus-pinyin (1.3.4-1) unstable; urgency=low

  * New upstream release.
    - debian/patches/debian-changes-1.3.3-2: removed.
  * debian/control: 
    - add build depends on libboost-dev.
    - remove build depends on libsigc++.

 -- LI Daobing <lidaobing@debian.org>  Mon, 03 May 2010 15:31:14 +0800

ibus-pinyin (1.3.3-2) unstable; urgency=low

  * Fix "FTBFS: DynamicSpecialPhrase.cc:60: error: 'snprintf' is  not a
    member of 'std'" (Closes: #578335)
    - debian/patches/debian-changes-1.3.3-2: patch from upstream bug report:
      http://code.google.com/p/ibus/issues/detail?id=863

 -- LI Daobing <lidaobing@debian.org>  Mon, 19 Apr 2010 20:50:57 +0800

ibus-pinyin (1.3.3-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - group maintained, add me to uploaders.
    - update Vcs-* information.

 -- LI Daobing <lidaobing@debian.org>  Fri, 16 Apr 2010 20:39:34 +0800

ibus-pinyin (1.3.1-1) unstable; urgency=low

  * New upstream release.

 -- LI Daobing <lidaobing@debian.org>  Sat, 10 Apr 2010 15:32:18 +0800

ibus-pinyin (1.3.0-1) unstable; urgency=low

  * New upstream release.
  * debian/source/format: 3.0.

 -- LI Daobing <lidaobing@debian.org>  Sat, 03 Apr 2010 21:22:28 +0800

ibus-pinyin (1.2.99.20100318-1) experimental; urgency=low

  * New upstream release.
  * debian/control: bump standards version to 3.8.4.
  * debian/control: switch to ibus 1.3.
  * debian/control: build depends on libsigc++-2.0-dev. 
  * debian/control: fix debhelper-but-no-misc-depends.
  * debian/rules: remove config.log 

 -- LI Daobing <lidaobing@debian.org>  Sun, 21 Mar 2010 19:22:14 +0800

ibus-pinyin (1.2.99.20091211-1) unstable; urgency=low

  * New upstream release.
  * debian/control: add build depends on intltool 

 -- LI Daobing <lidaobing@debian.org>  Sat, 12 Dec 2009 22:43:01 +0800

ibus-pinyin (1.2.99.20091009-1) unstable; urgency=low

  * new upstream release.
  * debian/control: rename package ibus-pinyin-db-google to
    ibus-pinyin-db-android.
  * debian/rules: updated. 

 -- LI Daobing <lidaobing@debian.org>  Sun, 11 Oct 2009 12:58:12 +0800

ibus-pinyin (1.2.99.20091007-1) unstable; urgency=low

  * new upstream release.
  * debian/control: remove package ibus-pinyin-data, add packages
    ibus-pinyin-db-open-phrase and ibus-pinyin-db-google.
  * debian/rules: updated.

 -- LI Daobing <lidaobing@debian.org>  Thu, 08 Oct 2009 12:39:25 +0800

ibus-pinyin (1.2.99.20090930-1) unstable; urgency=low

  * new upstream release.
  * debian/control: update build depends.

 -- LI Daobing <lidaobing@debian.org>  Wed, 30 Sep 2009 22:44:05 +0800

ibus-pinyin (1.2.99.20090929-1) unstable; urgency=low

  * new upstream release.
  * debian/watch: updated. 
  * debian/control: 
    - build depends on pinyin-database and lsb-release.
    - add ibus-pinyin-data package.
  * debian/rules: updated. 
  * debian/README.Debian: no longer needed. 

 -- LI Daobing <lidaobing@debian.org>  Tue, 29 Sep 2009 22:33:06 +0800

ibus-pinyin (1.2.99.20090923+1-1) unstable; urgency=low

  * new upstream release.
  * debian/rules: update build script. 
  * debian/control: 
    - change arch from all to any. 
    - remove Build-Depends-Indep, update Build-Depends
    - update Depends 

 -- LI Daobing <lidaobing@debian.org>  Wed, 23 Sep 2009 20:12:19 +0800

ibus-pinyin (1.2.0.20090915+1-1) unstable; urgency=low

  * new upstream release.
  * debian/control:
    - bump standards version to 3.8.3.
    - update Vcs-* fields. 

 -- LI Daobing <lidaobing@debian.org>  Tue, 15 Sep 2009 20:09:45 +0800

ibus-pinyin (1.2.0.20090617+1-1) unstable; urgency=low

  * new upstream release.
  * debian/control:
    - depends: ibus >= 1.2
    - bump standards version to 3.8.2

 -- LI Daobing <lidaobing@debian.org>  Sat, 20 Jun 2009 23:40:41 +0800

ibus-pinyin (1.1.0.20090612+1-1) unstable; urgency=low

  * new upstream release.

 -- LI Daobing <lidaobing@debian.org>  Sat, 13 Jun 2009 15:37:23 +0800

ibus-pinyin (1.1.0.20090303+1-0ubuntu1) karmic; urgency=low

  * initial release (LP: #318806)

 -- LI Daobing <lidaobing@debian.org>  Fri, 01 May 2009 16:44:56 +0800

=== debian/control ===
Source: ibus-pinyin
Section: utils
Priority: optional
Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
Uploaders: LI Daobing <lidaobing@debian.org>, Asias He <asias.hejun@gmail.com>
Build-Depends: debhelper (>= 7), autotools-dev, swig, pkg-config,
 libibus-dev (>= 1.2.99), libsqlite3-dev (>= 3.6), sqlite3, uuid-dev,
 python-support, intltool (>= 0.35.0), libboost-dev (>= 1.39)
Standards-Version: 3.8.4
Homepage: http://code.google.com/p/ibus
Vcs-Bzr: lp:~pkg-ime/ibus/debian-ibus-pinyin
Vcs-Browser: https://code.launchpad.net/~pkg-ime/ibus/debian-ibus-pinyin

Package: ibus-pinyin
Architecture: any
Depends: ibus-pinyin-db-open-phrase (=${source:Version}) | ibus-pinyin-db-android (=${source:Version}),
 ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, ibus (>= 1.2.99)
Description: pinyin engine for ibus
 ibus-pinyin is a im engine for Chinese, based on ibus.
 .
 this package provide one input method:
   * pinyin: pinyin input method.
 .
 for more information on pinyin input method, check
 http://en.wikipedia.org/wiki/Pinyin_method .

Package: ibus-pinyin-db-open-phrase
Architecture: all
Depends: ${misc:Depends}, pinyin-database (>= 1.2.99-3~), pinyin-database (<< 1.2.100)
Description: pinyin engine for ibus, open-phrase database
 ibus-pinyin is a im engine for Chinese, based on ibus.
 .
 this package provide one input method:
   * pinyin: pinyin input method.
 .
 for more information on pinyin input method, check
 http://en.wikipedia.org/wiki/Pinyin_method .
 .
 This package contains the open-phrase data files used by ibus-pinyin.

Package: ibus-pinyin-db-android
Architecture: all
Depends: ${misc:Depends}
Description: pinyin engine for ibus, android database
 ibus-pinyin is a im engine for Chinese, based on ibus.
 .
 this package provide one input method:
   * pinyin: pinyin input method.
 .
 for more information on pinyin input method, check
 http://en.wikipedia.org/wiki/Pinyin_method .
 .
 This package contains the android data files used by ibus-pinyin.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEBIAN_VERSION = $(shell dpkg-parsechangelog | egrep '^Version: ' | sed s/"Version: "//)
UPSTREAM_VERSION = $(shell echo $(DEBIAN_VERSION) | sed s/+.-.*//)

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
CROSS= --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
else
CROSS= --build $(DEB_BUILD_GNU_TYPE)
endif



config.status: configure
	dh_testdir
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif
	dh_auto_configure

build: build-stamp

build-stamp:  config.status 
	dh_testdir
	$(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp

	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f config.sub config.guess config.log
	rm -f data/db/android/*.pyc

	dh_clean 

install: install-stamp
install-stamp: build
	dh_testdir
	dh_testroot
	dh_prep  
	dh_installdirs

	$(MAKE) DESTDIR=$(CURDIR)/debian/ibus-pinyin install
	rm -f $(CURDIR)/debian/ibus-pinyin/usr/share/ibus-pinyin/db/COPYING
	mkdir -p $(CURDIR)/debian/ibus-pinyin-db-android/usr/share/ibus-pinyin/
	mv $(CURDIR)/debian/ibus-pinyin/usr/share/ibus-pinyin/db $(CURDIR)/debian/ibus-pinyin-db-android/usr/share/ibus-pinyin/
	rm -f $(CURDIR)/debian/ibus-pinyin-db-android/usr/share/ibus-pinyin/db/create_index.sql
	mkdir -p $(CURDIR)/debian/ibus-pinyin-db-open-phrase/usr/share/ibus-pinyin/db
	ln -s /usr/share/pinyin-database/main.db $(CURDIR)/debian/ibus-pinyin-db-open-phrase/usr/share/ibus-pinyin/db/open-phrase.db
	touch $@

# Build architecture-independent files here.
binary-arch: install
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs -a
	dh_installdocs -a
	dh_installexamples -a
	dh_installman -a
	dh_pysupport -a
	dh_lintian -a
	dh_link -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary-indep: install
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs -i
	dh_installdocs -i
	dh_installexamples -i
	dh_installman -i
	dh_pysupport -i
	dh_lintian -i
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## ibus-pinyin 1.3.10

=== debian/changelog ===
ibus-pinyin (1.3.10-1) unstable; urgency=low

  [ Asias He ]
  * New upstream release (closes: #590356).
  * debian/control: 
    - bump standards version to 3.9.1

  [ LI Daobing ]
  * debian/control:
    - build depends on libopencc-dev (>= 0.1.0).

 -- LI Daobing <lidaobing@debian.org>  Mon, 09 Aug 2010 21:44:47 +0800

ibus-pinyin (1.3.9-1) unstable; urgency=low

  * New upstream release.
  * debian/control: 
    - bump standards version to 3.9.0
    - add build depends on liblua5.1-0-dev, libopencc-dev
  * debian/rules: enable opencc.

 -- LI Daobing <lidaobing@debian.org>  Fri, 16 Jul 2010 23:25:41 +0800

## ibus-pinyin 1.3.11

=== debian/changelog ===
ibus-pinyin (1.3.11-1) unstable; urgency=low

  [ Asias He ]
  * New upstream release.

 -- LI Daobing <lidaobing@debian.org>  Wed, 08 Sep 2010 21:38:54 +0800

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,9 @@
 Uploaders: LI Daobing <lidaobing@debian.org>, Asias He <asias.hejun@gmail.com>
 Build-Depends: debhelper (>= 7), autotools-dev, swig, pkg-config,
  libibus-dev (>= 1.2.99), libsqlite3-dev (>= 3.6), sqlite3, uuid-dev,
- python-support, intltool (>= 0.35.0), libboost-dev (>= 1.39)
-Standards-Version: 3.8.4
+ python-support, intltool (>= 0.35.0), libboost-dev (>= 1.39), liblua5.1-0-dev,
+ libopencc-dev (>= 0.1.0)
+Standards-Version: 3.9.1
 Homepage: http://code.google.com/p/ibus
 Vcs-Bzr: lp:~pkg-ime/ibus/debian-ibus-pinyin
 Vcs-Browser: https://code.launchpad.net/~pkg-ime/ibus/debian-ibus-pinyin

=== debian/rules ===
--- 
+++ 
@@ -32,7 +32,7 @@
 ifneq "$(wildcard /usr/share/misc/config.guess)" ""
 	cp -f /usr/share/misc/config.guess config.guess
 endif
-	dh_auto_configure
+	dh_auto_configure -- --enable-opencc
 
 build: build-stamp

## ibus-pinyin 1.3.11-1

=== debian/control ===
Source: ibus-pinyin
Section: unknown
Priority: extra
Maintainer: unknown <snnn119@gmail.com>
Build-Depends: debhelper (>= 5), autotools-dev, libsqlite3-dev, libglib2.0-dev, ibus-dev, libboost-signals1.38-dev, uuid-dev, python2.5, ibus
Standards-Version: 3.7.2

Package: ibus-pinyin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: The Chinese Pinyin engine for IBus input platform.
  The Chinese Pinyin engine for IBus input platform.
XSBC-Bugtracker: http://code.google.com/p/ibus/issues/list

## ibus-pinyin 1.3.11-2

=== debian/changelog ===
ibus-pinyin (1.3.11-2) unstable; urgency=low

  * 添加对ibus的依赖
  

 -- Changming Sun <snnn119@gmail.com>  Fri, 29 Oct 2010 22:31:10 +0800

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: ibus-pinyin
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, ibus
 Description: The Chinese Pinyin engine for IBus input platform.
   The Chinese Pinyin engine for IBus input platform.
 XSBC-Bugtracker: http://code.google.com/p/ibus/issues/list

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs"


build: build-stamp

build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/ibus-pinyin.sgml > ibus-pinyin.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif


	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/ibus-pinyin.
	$(MAKE) DESTDIR=$(CURDIR)/debian/ibus-pinyin install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## ibus-pinyin 1.3.11-3

=== data/db/android/Makefile ===
--- 
+++ 
@@ -77,13 +77,13 @@
 main_dbDATA_INSTALL = $(INSTALL_DATA)
 DATA = $(main_db_DATA)
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
-ACLOCAL = aclocal-1.10
+ACLOCAL = ${SHELL} /home/cm/ibus-pinyin/ibus-pinyin-1.3.11/missing --run aclocal-1.10
 ALL_LINGUAS = 
 AMTAR = ${SHELL} /home/cm/ibus-pinyin/ibus-pinyin-1.3.11/missing --run tar
 AR = i486-linux-gnu-ar
 AUTOCONF = ${SHELL} /home/cm/ibus-pinyin/ibus-pinyin-1.3.11/missing --run autoconf
 AUTOHEADER = ${SHELL} /home/cm/ibus-pinyin/ibus-pinyin-1.3.11/missing --run autoheader
-AUTOMAKE = automake-1.10
+AUTOMAKE = ${SHELL} /home/cm/ibus-pinyin/ibus-pinyin-1.3.11/missing --run automake-1.10
 AWK = gawk
 BOOST_CPPFLAGS = 
 BOOST_ROOT = 
@@ -388,5 +388,3 @@
 clean-generic:
 	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
 
-distclean-generic:
-	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)

=== debian/changelog ===
ibus-pinyin (1.3.11-3) unstable; urgency=low

  * 修改包描述
  

 -- Changming Sun <snnn119@gmail.com>  Sat, 30 Oct 2010 10:38:44 +0800

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: ibus-pinyin
-Section: unknown
+Section: user/system
 Priority: extra
-Maintainer: unknown <snnn119@gmail.com>
+Maintainer: Changming Sun <snnn119@gmail.com>
 Build-Depends: debhelper (>= 5), autotools-dev, libsqlite3-dev, libglib2.0-dev, ibus-dev, libboost-signals1.38-dev, uuid-dev, python2.5, ibus
 Standards-Version: 3.7.2

=== debian/rules ===
--- 
+++ 
@@ -27,7 +27,8 @@
 config.status: configure
 	dh_testdir
 	# Add here commands to configure the package.
-	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs"
+	# --disable-db-android because compile error
+	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --disable-db-android CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs"
 
 
 build: build-stamp

## ibus-pinyin 1.3.11-4

=== debian/changelog ===
ibus-pinyin (1.3.11-4) unstable; urgency=low

  * 编译ibus-pinyin-db-android
  

 -- Changming Sun <snnn119@gmail.com>  Sat, 30 Oct 2010 13:21:08 +0800

=== debian/control ===
Source: ibus-pinyin
Section: user/system
Priority: extra
Maintainer: Changming Sun <snnn119@gmail.com>
Build-Depends: debhelper (>= 5), autotools-dev, libsqlite3-dev, libglib2.0-dev, ibus-dev, libboost-signals1.38-dev, uuid-dev, python2.5, ibus, sqlite3
Standards-Version: 3.7.2

Package: ibus-pinyin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ibus, ibus-pinyin-db-android (=${source:Version})
Description: The Chinese Pinyin engine for IBus input platform.
  The Chinese Pinyin engine for IBus input platform.
XSBC-Bugtracker: http://code.google.com/p/ibus/issues/list

Package: ibus-pinyin-db-android
Architecture: all
Description: pinyin engine for ibus, android database
 ibus-pinyin is a im engine for Chinese, based on ibus.
 .
 this package provide one input method:
   * pinyin: pinyin input method.
 .
 for more information on pinyin input method, check
 http://en.wikipedia.org/wiki/Pinyin_method .
 .
 This package contains the android data files used by ibus-pinyin.

## ibus-pinyin 1.3.11-5

=== debian/changelog ===
ibus-pinyin (1.3.11-5) unstable; urgency=low

  * 改用boost 1.42 编译

 -- Changming Sun <snnn119@gmail.com>  Sat, 30 Oct 2010 22:15:35 +0800

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: user/system
 Priority: extra
 Maintainer: Changming Sun <snnn119@gmail.com>
-Build-Depends: debhelper (>= 5), autotools-dev, libsqlite3-dev, libglib2.0-dev, ibus-dev, libboost-signals1.38-dev, uuid-dev, python2.5, ibus, sqlite3
+Build-Depends: debhelper (>= 5), autotools-dev, libsqlite3-dev, libglib2.0-dev, ibus-dev, libboost-signals1.42-dev, uuid-dev, python2.5, ibus, sqlite3
 Standards-Version: 3.7.2
 
 Package: ibus-pinyin
@@ -24,4 +24,4 @@
  http://en.wikipedia.org/wiki/Pinyin_method .
  .
  This package contains the android data files used by ibus-pinyin.
-
+XSBC-Bugtracker: http://code.google.com/p/ibus/issues/list

=== debian/rules ===
--- 
+++ 
@@ -28,7 +28,7 @@
 	dh_testdir
 	# Add here commands to configure the package.
 	# --disable-db-android because compile error
-	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --disable-db-android CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs"
+	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs"
 
 
 build: build-stamp
@@ -55,7 +55,7 @@
 ifneq "$(wildcard /usr/share/misc/config.guess)" ""
 	cp -f /usr/share/misc/config.guess config.guess
 endif
-
+	rm -f data/db/android/*.pyc
 
 	dh_clean 
 
@@ -67,7 +67,11 @@
 
 	# Add here commands to install the package into debian/ibus-pinyin.
 	$(MAKE) DESTDIR=$(CURDIR)/debian/ibus-pinyin install
-
+	rm -f $(CURDIR)/debian/ibus-pinyin/usr/share/ibus-pinyin/db/COPYING
+	mkdir -p $(CURDIR)/debian/ibus-pinyin-db-android/usr/share/ibus-pinyin/
+	mv $(CURDIR)/debian/ibus-pinyin/usr/share/ibus-pinyin/db $(CURDIR)/debian/ibus-pinyin-db-android/usr/share/ibus-pinyin/
+	rm -f $(CURDIR)/debian/ibus-pinyin-db-android/usr/share/ibus-pinyin/db/create_index.sql
+	touch $@
 
 # Build architecture-independent files here.
 binary-indep: build install

## ibus-pinyin 1.3.99.20101029-1

=== debian/changelog ===
ibus-pinyin (1.3.99.20101029-1) unstable; urgency=low

  * ../ibus-pinyin-1.3.99.20101029.tar.gz

 -- Changming Sun <snnn119@gmail.com>  Mon,  1 Nov 2010 12:32:43 +0800

## ibus-pinyin 1.3.99.20110706

=== debian/changelog ===
ibus-pinyin (1.3.99.20110706-1) unstable; urgency=low

  * New upstream release
  * Use dh in debian/rules
  * Bump standards version to 3.9.2
  * Set VCS to git.debian.org
  * Set DM-Upload-Allowed to yes
  * Set X-Python-Version to >= 2.5
  * Add debian/*.install files
  * Fix "Switch to dh_python2" (Closes: #635029)
  * Fix "Please enable GBK support or mention in document" (Closes: #535578)

 -- Asias He <asias.hejun@gmail.com>  Sun, 24 Jul 2011 16:01:18 +0800

=== debian/control ===
Source: ibus-pinyin
Section: utils
Priority: optional
Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
Uploaders: LI Daobing <lidaobing@debian.org>, Asias He <asias.hejun@gmail.com>
Build-Depends: debhelper (>= 7.0.50~),
 swig,
 pkg-config,
 libibus-1.0-dev (>= 1.3.99.20110419),
 libsqlite3-dev (>= 3.6),
 sqlite3,
 uuid-dev,
 intltool (>= 0.35.0),
 libboost-dev (>= 1.39),
 liblua5.1-0-dev,
 libopencc-dev (>= 0.1.0),
 python-dev (>= 2.6.6-3~)
Standards-Version: 3.9.2
Homepage: http://code.google.com/p/ibus
Vcs-Git: git://git.debian.org/pkg-ime/ibus-pinyin.git
Vcs-Browser: http://git.debian.org/?p=pkg-ime/ibus-pinyin.git
DM-Upload-Allowed: yes
X-Python-Version: >= 2.5

Package: ibus-pinyin
Architecture: any
Depends: ibus-pinyin-db-open-phrase (=${source:Version}) | ibus-pinyin-db-android (=${source:Version}),
 ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, ibus (>= 1.3.99.20110419)
Description: Pinyin engine for IBus
 ibus-pinyin is a IBus based IM engine for Chinese.
 .
 For more information on pinyin input method, please check
 http://en.wikipedia.org/wiki/Pinyin_method
 .
 This package contains pinyin input method.

Package: ibus-pinyin-db-open-phrase
Architecture: all
Depends: ${misc:Depends}, pinyin-database (>= 1.2.99-3~), pinyin-database (<< 1.2.100)
Description: Pinyin engine for IBus - open-phrase database
 ibus-pinyin is a IBus based IM engine for Chinese.
 .
 For more information on pinyin input method, please check
 http://en.wikipedia.org/wiki/Pinyin_method
 .
 This package contains the open-phrase data files used by ibus-pinyin.

Package: ibus-pinyin-db-android
Architecture: all
Depends: ${misc:Depends}
Description: Pinyin engine for IBus - Android database
 ibus-pinyin is a IBus based IM engine for Chinese.
 .
 For more information on pinyin input method, please check
 http://en.wikipedia.org/wiki/Pinyin_method
 .
 This package contains the android data files used by ibus-pinyin.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with python2

override_dh_auto_configure:
	dh_auto_configure -- --enable-opencc
override_dh_install:
	mkdir -p $(CURDIR)/debian/tmp/usr/share/ibus-pinyin/db
	ln -sf /usr/share/pinyin-database/main.db $(CURDIR)/debian/tmp/usr/share/ibus-pinyin/db/open-phrase.db
	dh_install

## ibus-pinyin 1.4.0

=== debian/changelog ===
ibus-pinyin (1.4.0-2ubuntu2) saucy; urgency=low

  * Use dh_autotools-dev to update config.{sub,guess} for AArch64.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 11 Oct 2013 21:43:49 +0200

ibus-pinyin (1.4.0-2ubuntu1) saucy; urgency=low

  * Stop building the lua extension, not yet ready for lua5.2.
    See #1196921.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 25 Sep 2013 12:14:57 +0200

ibus-pinyin (1.4.0-2build1) saucy; urgency=low

  * No-change rebuild against ibus 1.5

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 28 Jul 2013 23:01:47 -0400

ibus-pinyin (1.4.0-2) unstable; urgency=low

  * Fix libexecdir to match ibus-setup expectation.
    Closes: #712580

 -- Osamu Aoki <osamu@debian.org>  Tue, 18 Jun 2013 23:01:55 +0900

ibus-pinyin (1.4.0-1) unstable; urgency=low

  * New upstream release 

 -- Osamu Aoki <osamu@debian.org>  Thu, 22 Dec 2011 22:54:44 +0900

ibus-pinyin (1.3.99.20110706-2) unstable; urgency=low

  * Install missing files. Closes: #646341
  * Remove useless lintian override file.
  * Use dh_link to make symlink properly. 
  * Clean data/db/android/*.pyc for clean rebuild.

 -- Osamu Aoki <osamu@debian.org>  Wed, 21 Dec 2011 22:49:29 +0900

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Section: utils
 Priority: optional
 Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
-Uploaders: LI Daobing <lidaobing@debian.org>, Asias He <asias.hejun@gmail.com>
+Uploaders: LI Daobing <lidaobing@debian.org>, Asias He <asias.hejun@gmail.com>, Osamu Aoki <osamu@debian.org>
 Build-Depends: debhelper (>= 7.0.50~),
+ autotools-dev,
  swig,
  pkg-config,
  libibus-1.0-dev (>= 1.3.99.20110419),
@@ -12,7 +13,6 @@
  uuid-dev,
  intltool (>= 0.35.0),
  libboost-dev (>= 1.39),
- liblua5.1-0-dev,
  libopencc-dev (>= 0.1.0),
  python-dev (>= 2.6.6-3~)
 Standards-Version: 3.9.2

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with python2,autotools_dev

override_dh_auto_configure:
	dh_auto_configure -- --enable-opencc --libexecdir=/usr/lib/ibus

override_dh_auto_clean:
	rm -f data/db/android/*.pyc
	dh_auto_clean

## ibus-pinyin 1.5.0

=== debian/changelog ===
ibus-pinyin (1.5.0-5) unstable; urgency=medium

  * Team upload.
  * Refresh packaging instructions.
    + Bump debhelper compat to v11.
    + Update maintainer field and use debian-input-method list as maintainer
      email address. (Closes: #899958).
    + Update package description and mention package's deprecation status.
  * Add NEWS.Debian file to mention that this package is deprecated and users
    should install ibus-libpinyin instead. (Closes: #891329).
    The package will be removed after Debian Buster release.

 -- Boyuan Yang <byang@debian.org>  Tue, 18 Sep 2018 16:53:42 -0400

ibus-pinyin (1.5.0-4) unstable; urgency=medium

  * Acknowledge NMU.
  * Update upstream site etc.  Closes: #841795
  * Add ibus-pinyin-default-full.patch: Set ibus-pinyin engine to
    full pinyin as default when dconf data not exist.(from openSUSE)
  * Update the CVE-2013-4509 patch with upstream one.
  * Depend on dh_lua and drop liblua5.1-0-dev.
  * Depend on dh_python.  Closes: #797953
  * Set m_double_pinyin = FALSE.  Closes: 787526

 -- Osamu Aoki <osamu@debian.org>  Sat, 10 Dec 2016 13:16:37 +0900

ibus-pinyin (1.5.0-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove hard-coded dependency on libpyzy-1.0-0 (Closes: #797332)

 -- Jonathan Wiltshire <jmw@debian.org>  Thu, 03 Sep 2015 22:11:56 +0100

ibus-pinyin (1.5.0-3) unstable; urgency=medium

  * Dropped gobject-introspection from depends.
  * Fixed missing entries in changelog. Closes: #736733

 -- Osamu Aoki <osamu@debian.org>  Thu, 05 Jun 2014 22:08:18 +0900

ibus-pinyin (1.5.0-2) unstable; urgency=medium

  * Update dependency to python-gi.  Closes: #746969
  * Add dependency to gobject-introspection.
  * DEP-5 copyright file.
  * Apply lua 5.2 patch by Aron but still build with lua 5.1
    due to autoconf problem.

 -- Osamu Aoki <osamu@debian.org>  Wed, 04 Jun 2014 23:47:15 +0900

ibus-pinyin (1.5.0-1) unstable; urgency=low

  * New upstream release
  * Update policy to 3.9.5 and compat to 9.
  * Add --with autoreconf. Closes: #727267
  * Add dependency to python-ibus, python-xdg.
    Closes: #735495, #734350, #734351
  * Dropped libboost from build-depends.
  * harden debian/rules.
  * Multi-Arch enabled.
  * Use libpyzy-1.0-0 and make this single binary package.
  * Sync with ibus-pinyin-1.5.0-5.fc19.src.rpm
    - Fixes lua 5.2 compile by Peng Wu
      (This is build with lua 5.1 since autoconf lose lua 5.2)
    - Fixes ibus: visible password entry flaw. (rhbz#1027029)
      (CVE-2013-4509) by Peng Wu

 -- Osamu Aoki <osamu@debian.org>  Sun, 26 Jan 2014 17:57:15 +0900

=== debian/control ===
Source: ibus-pinyin
Section: utils
Priority: optional
Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
Uploaders: Aron Xu <aron@debian.org>,
           Osamu Aoki <osamu@debian.org>
Build-Depends: debhelper (>= 11),
               dh-lua,
               dh-python,
               intltool (>= 0.35.0),
               libibus-1.0-dev (>= 1.5),
               libopencc-dev (>= 0.1.0),
               libpyzy-dev,
               libsqlite3-dev (>= 3.6),
               pkg-config,
               python-dev (>= 2.6.6-3~),
               sqlite3,
               uuid-dev
Standards-Version: 4.2.1
Homepage: https://github.com/ibus/ibus/wiki
Vcs-Git: https://salsa.debian.org/input-method-team/ibus-pinyin.git
Vcs-Browser: https://salsa.debian.org/input-method-team/ibus-pinyin

Package: ibus-pinyin
Architecture: any
Multi-Arch: foreign
Depends: ibus (>= 1.5),
         python-gi,
         python-xdg,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Description: Pinyin engine for IBus
 ibus-pinyin is a IBus based IM engine for Chinese.
 .
 For more information on pinyin input method, please check
 http://en.wikipedia.org/wiki/Pinyin_method
 .
 This package contains pinyin input method.
 .
 This pinyin input method is deprecated; new users should
 switch to ibus-libpinyin, which is a contemporary implementation
 of pinyin input method.

=== debian/rules ===
#!/usr/bin/make -f
#DH_VERBOSE = 1
# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --with autoreconf,python2

override_dh_auto_configure:
	dh_auto_configure -- \
           --disable-static \
           --disable-boost \
           --libexecdir=/usr/lib/ibus

override_dh_auto_clean:
	rm -f data/db/android/*.pyc
	dh_auto_clean

override_dh_missing:
	dh_missing --fail-missing

=== debian/watch ===
version=3
opts=filenamemangle=s#.*/archive/([\d.]+\.tar\.[gx]z)#ibus-pinyin-$1# \
https://github.com/ibus/ibus-pinyin/releases \
/ibus/ibus-pinyin/archive/([\d.]+)\.tar\.[gx]z debian uupdate
#<a href="/ibus/ibus-pinyin/archive/0.8.66.2.tar.gz" rel="nofollow">

## ibus-pinyin 1.5.1

=== debian/changelog ===
ibus-pinyin (1.5.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    + Fix various bugs. (LP: #1978441)
  * debian/patches/: Drop all merged patches. Keep the custom
    ibus-pinyin-default-full.patch.
  * debian/rules: Drop useless clean of .pyc files.
  * debian/copyright: Update license information.

 -- Boyuan Yang <byang@debian.org>  Sun, 14 Jul 2024 13:54:30 -0400

ibus-pinyin (1.5.0-11) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on intltool (>= 0.35.0).
    + Build-Depends: Drop versioned constraint on libibus-1.0-dev (>= 1.5).
    + Build-Depends: Drop versioned constraint on libopencc-dev (>= 0.1.0).
    + Build-Depends: Drop versioned constraint on libsqlite3-dev (>= 3.6).
  * Set upstream metadata fields: Bug-Submit, Repository-Browse.

  [ Boyuan Yang ]
  * debian/patches/0008-Fix-sqlite-3.41.0-build-failed.patch:
    Add patch from upstream trunk to avoid error when executing with
    sqlite 3.41+. Slightly modified to make it compatible with mawk
    (see pull request 12).
  * debian/copyright: Slight fix to avoid lintian warnings.

 -- Boyuan Yang <byang@debian.org>  Sun, 03 Sep 2023 15:46:03 -0400

ibus-pinyin (1.5.0-10) unstable; urgency=medium

  * Team upload
  * Upload to unstable

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Wed, 17 May 2023 19:14:23 +0200

ibus-pinyin (1.5.0-9) experimental; urgency=medium

  * Team upload
  * Fix removed python gettext API (closes: #1036197, LP: #2019921)
  * Bump Standards-Version to 4.6.2
  * Specify Gtk version (LP: #2019921)

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Wed, 17 May 2023 08:17:28 +0200

ibus-pinyin (1.5.0-8) unstable; urgency=medium

  * Team upload
  * Fix broken debian/watch

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Fri, 02 Dec 2022 01:39:50 +0100

ibus-pinyin (1.5.0-7) unstable; urgency=medium

  * Team upload.
  * Acknowledge NMU.
  * debian/: Apply wrap-and-sort -abst.
  * debian/control: Bump debhelper compat to v13.
  * debian/control: Use actual project as homepage.
  * debian/rules: Drop --as-needed.
  * debian/control: Bump Standards-Version to 4.6.1.
  * debian/rules: Disable libexecdir override. (Closes: #955239)

 -- Boyuan Yang <byang@debian.org>  Tue, 27 Sep 2022 16:24:43 -0400

ibus-pinyin (1.5.0-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix lua compatibility issue due to deprecated LUA_QS macro.
    (Closes: #964680)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 15 Jul 2020 11:26:32 +0200

ibus-pinyin (1.5.0-6) unstable; urgency=medium

  * Team upload.
  * Use python3 (Closes: #936718)
    - debian/control: Fix Depends and Build-Depends
    - debian/rules: Configure to build with python3
    - debian/patches/python3.patch: Patch from upstream pull request
      https://github.com/ibus/ibus-pinyin/pull/5

 -- Changwoo Ryu <cwryu@debian.org>  Sun, 08 Dec 2019 05:11:35 +0900

=== debian/control ===
Source: ibus-pinyin
Section: utils
Priority: optional
Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
Uploaders:
 Aron Xu <aron@debian.org>,
 Osamu Aoki <osamu@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-lua,
 dh-python,
 intltool,
 libibus-1.0-dev,
 libopencc-dev,
 libpyzy-dev,
 libsqlite3-dev,
 pkgconf,
 python3-dev,
 sqlite3,
 uuid-dev,
Standards-Version: 4.7.0
Homepage: https://github.com/ibus/ibus-pinyin
Vcs-Git: https://salsa.debian.org/input-method-team/ibus-pinyin.git
Vcs-Browser: https://salsa.debian.org/input-method-team/ibus-pinyin

Package: ibus-pinyin
Architecture: any
Multi-Arch: foreign
Depends:
 gir1.2-gtk-3.0,
 gir1.2-ibus-1.0,
 python3-gi,
 python3-xdg,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: Pinyin engine for IBus
 ibus-pinyin is a IBus based IM engine for Chinese.
 .
 For more information on pinyin input method, please check
 http://en.wikipedia.org/wiki/Pinyin_method
 .
 This package contains pinyin input method.
 .
 This pinyin input method is deprecated; new users should
 switch to ibus-libpinyin, which is a contemporary implementation
 of pinyin input method.

=== debian/rules ===
#!/usr/bin/make -f
#DH_VERBOSE = 1
# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND =

%:
	dh $@ --with python3

override_dh_auto_configure:
	dh_auto_configure -- \
	       --with-python=/usr/bin/python3 \
	       --disable-static \
	       --disable-boost \
	       $(NULL)
